Bug 840386 - 3.1 - vdsm - beta1: vms with shared disk will pause due to I/O errors
3.1 - vdsm - beta1: vms with shared disk will pause due to I/O errors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
urgent Severity high
: beta
: ---
Assigned To: Eli Mesika
Dafna Ron
storage virt infra
:
Depends On:
Blocks: 834893
  Show dependency treegraph
 
Reported: 2012-07-16 04:37 EDT by Eli Mesika
Modified: 2012-12-04 14:02 EST (History)
15 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-27.0
Doc Type: Bug Fix
Doc Text:
Previously, when several virtual machines shared a disk on the same host, they would occasionally pause, throwing the error "XML Error: Attempted double use of PCI Address". An update to VDSM marks the shared disk as shareable, and VDSM now recognizes such disks as shareable. As a result, several virtual machines can now use the same shared disk without VDSM throwing the I/O errors.
Story Points: ---
Clone Of: 834893
Environment:
Last Closed: 2012-12-04 14:02:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Eli Mesika 2012-07-16 04:42:20 EDT
patch is only:
http://gerrit.ovirt.org/#/c/6283/
Comment 6 Eli Mesika 2012-08-02 05:41:07 EDT
Fixed in commit : 491fa1a

Fixed for 6.3.z  in commit : de74e31
Comment 8 Dafna Ron 2012-08-12 09:46:34 EDT
verified on si13.2 vdsm-4.9.6-27.0.el6_3.x86_64
Comment 11 errata-xmlrpc 2012-12-04 14:02:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.